Last modified: 2013-05-01 13:28:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 36032 - The reference number should be bidi-isolated
The reference number should be bidi-isolated
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Cite (Other open bugs)
unspecified
All All
: Low normal (vote)
: ---
Assigned To: Moriel Schottlender
https://en.wikipedia.org/wiki/User:Am...
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2012-04-17 10:01 UTC by Amir E. Aharoni
Modified: 2013-05-01 13:28 UTC (History)
3 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2012-04-17 10:01:27 UTC
When the reference number is adjacent to a word the directionality of which is different from the rest of the pages, this may cause wrong rendering. This can be manually solved by using RLM or LRM characters, but people may forget to use them and they are hard to use in general.

An easy, though partial, solution would be to apply bidirectional isolation to the reference number. This is possible in modern versions of Gecko and Webkit (Mozilla, Chrome and probably Safari) using HTML5 and CSS3 syntax. See bug 31817 for a discussion of the HTML5 solution and the URL for a demonstration of the problem and of several possible solutions.

It would be partial, because IE doesn't yet support these HTML5 and CSS3 features, but it will at least assure correct rendering of articles in which the editors forgot to use LRM or RLM for people who read them in modern browsers.

(An even better solution would be to apply bidi isolation to words with different directionality. It is more correct logically, because the words are causing the trouble and the reference numbers have the directionality of the content language, but currently that solution is complicated to implement practically.)
Comment 1 Amir E. Aharoni 2012-04-17 15:07:58 UTC
Assigning to myself.

Another comment: Automatically adding a dirmark before and after the reference number can solve the display problem, but it will only work in one direction, as the URL demonstrates.
Comment 2 Gerrit Notification Bot 2013-04-30 20:31:09 UTC
Related URL: https://gerrit.wikimedia.org/r/61634 (Gerrit Change If85efe5ff1e0a3c57ee2523656702db89df07145)

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links